/* Styles for Photos App */
#app-photos {
    background-color: #000;
    color: white;
    overflow-y: auto;
}

#app-photos .photos-header {
    padding: 55px 15px 10px 15px;
    display: flex;
    align-items: center;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    box-sizing: border-box;
    z-index: 1;
    background-color: rgba(0,0,0,0.5);
    backdrop-filter: blur(10px);
}

#app-photos .back-button {
    background-color: rgba(128, 128, 128, 0.4);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    border: none;
    border-radius: 50%;
    width: 30px;
    height: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    color: #fff;
    padding: 0;
}

#app-photos .back-arrow {
    font-size: 24px;
    font-weight: 500;
    line-height: 1;
    transform: scaleX(0.8) translateX(-2px);
}

#app-photos .photos-content {
    flex-grow: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    padding-bottom: 50px;
    padding: 100px 5px 5px 5px; /* Add padding for header */
}

#app-photos .photos-content h1 {
    font-size: 22px;
    font-weight: 600;
    color: #fff;
}

#photo-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 5px;
}

.photo-item {
    position: relative;
    padding-bottom: 100%; /* Creates a square aspect ratio */
    background-color: #222;
    overflow: hidden;
}

.photo-item img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform 0.2s ease;
}

.photo-item:active img {
    transform: scale(0.95);
}

#no-photos-message.hidden {
    display: none;
}